
import 'package:flutter/material.dart';
import 'package:gmap_place_picker/gmap_place_picker.dart';
import 'package:gmap_place_picker/src/model/place_info.dart';
import 'package:google_maps_flutter/google_maps_flutter.dart';
import 'package:location/location.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  PlaceInfo _selectedPlace;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Google map place picker'),
        ),
        body: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              RaisedButton(
                onPressed: () async {
                  PlaceInfo result = await openPlacePicker(
                    context,
                    "apiKey",
                    initialCenter: LatLng(12.9716, 77.5946),
                    myLocationButtonEnabled: true,
                    layersButtonEnabled: true,
                    desiredAccuracy: LocationAccuracy.high,
                  );
                  print("result = $result");
                  setState(() => _selectedPlace = result);
                },
                child: Text('Pick desire place'),
              ),
              Text(_selectedPlace.toString()),
            ],
          ),
        ),
      ),
    );
  }
}
